Page MenuHomePhabricator

Resolve HockeyApp crash MWKImageInfoFetcher fetchInfoForArticle
Closed, ResolvedPublic

Description

v4.1.0.2

HockeyApp crash report: https://rink.hockeyapp.net/manage/apps/152731/app_versions/5/crash_reasons/32611338

There's already an assertion, just add handling for the case where string is nil and abort the fetch, showing the user an error message.

Event Timeline

dr0ptp4kt raised the priority of this task from to Needs Triage.
dr0ptp4kt updated the task description. (Show Details)
dr0ptp4kt moved this task to To Do on the Mobile-App-Sprint-55-iOS board.
dr0ptp4kt added a subscriber: dr0ptp4kt.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 16 2015, 12:29 AM
dr0ptp4kt updated the task description. (Show Details)Apr 16 2015, 12:32 AM
dr0ptp4kt set Security to None.
BGerstle-WMF renamed this task from Resolve HockeyApp crash (3 instances reported) MWKImageInfoFetcher fetchInfoForArticle to Resolve HockeyApp crash MWKImageInfoFetcher fetchInfoForArticle.Apr 17 2015, 4:43 PM
BGerstle-WMF moved this task from To Do to Doing on the Mobile-App-Sprint-55-iOS board.
BGerstle-WMF updated the task description. (Show Details)
Fjalapeno closed this task as Resolved.Jul 3 2015, 5:48 PM